# Generated by go2rpm
%bcond_without check

# https://github.com/golang/groupcache
%global goipath         github.com/golang/groupcache
%global commit          5b532d6fd5efaf7fa130d4e859a2fde0fc3a9e1b

%gometa

%global common_description %{expand:
Package Groupcache provides a data loading mechanism with caching and
de-duplication that works across a set of peer processes.

Each data Get first consults its local cache, otherwise delegates to the
requested key's canonical owner, which then checks its cache or finally gets the
data. In the common case, many concurrent cache misses across a set of peers for
the same key result in just one cache fill.}

%global golicenses      LICENSE
%global godocs          README.md

%global gosupfiles glide.lock glide.yaml

Name:           %{goname}
Version:        0
Release:        0.18%{?dist}
Summary:        Caching and cache-filling library, intended as a replacement

# Upstream license specification: Apache-2.0
License:        ASL 2.0
URL:            %{gourl}
Source0:        %{gosource}
Source1:        glide.yaml
Source2:        glide.lock

BuildRequires:  golang(github.com/golang/protobuf/proto)

%description
%{common_description}

%gopkg

%prep
%goprep
cp %{S:1} %{S:2} .

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Fri Apr 26 20:23:48 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.18.20190426git5b532d6
- Bump to commit 5b532d6fd5efaf7fa130d4e859a2fde0fc3a9e1b

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.17.git02826c3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Tue Oct 23 2018 Nicolas Mailhot <nim@fedoraproject.org> - 0-0.16.git02826c3
- redhat-rpm-config-123 triggers bugs in gosetup, remove it from Go spec files as it’s just an alias
- https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/message/RWD5YATAYAFWKIDZBB7EB6N5DAO4ZKFM/

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.15.git02826c3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Sun Jun 10 2018 Jan Chaloupka <jchaloup@redhat.com> - 0-0.14.git02826c3
- Upload glide files

* Wed Feb 28 2018 Jan Chaloupka <jchaloup@redhat.com> - 0-0.13.20160516git02826c3
- Autogenerate some parts using the new macros

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.12.git02826c3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.11.git02826c3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.10.git02826c3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.9.git02826c3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Aug 01 2016 jchaloup <jchaloup@redhat.com> - 0-0.8.git02826c3
- Bump to upstream 02826c3e79038b59d737d3b1c0a1d937f71a4433
  related: #1249058

* Thu Jul 21 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.7.git604ed57
- https://fedoraproject.org/wiki/Changes/golang1.7

* Mon Feb 22 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.6.git604ed57
- https://fedoraproject.org/wiki/Changes/golang1.6

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.5.git604ed57
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sat Sep 12 2015 jchaloup <jchaloup@redhat.com> - 0-0.4.git604ed57
- Update to spec-2.1
  related: #1249058

* Fri Jul 31 2015 jchaloup <jchaloup@redhat.com> - 0-0.3.git604ed57
- Update spec file to spec-2.0
  resolves: #1249058

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.2.git604ed57
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Feb 25 2015 jchaloup <jchaloup@redhat.com> - 0-0.1.git604ed57
- First package for Fedora
  resolves: #1196368
